Bug 122639 - audio/gtkpod - Confilicting include files break builds with mpeg4ip
Summary: audio/gtkpod - Confilicting include files break builds with mpeg4ip
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-10 23:40 UTC by Kevin Oberman
Modified: 2010-05-27 17:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Oberman 2008-04-10 23:40:01 UTC
audio/gtkpod will not compile as it compiles with mpeg5ip.h but does
not seemto have HAVE_GTK dfined, so re-defines a number of GTK
typedefs.

Fix: 

I worked around this by commenting out the lines in
/usr/local/include/mpeg4ip.h that are enclosed by the "ifndef
HAVE_GTK". This code should not have been compiled, but it looks like
HAVE_GTK is not defined even though I have gnome installed. I don't
have much make foo, so I failed to track it down.
How-To-Repeat: 
Build gtkpod
Comment 1 Edwin Groothuis freebsd_committer 2008-04-11 00:23:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-05-27 17:18:27 UTC
danfe       2010-05-27 16:18:14 UTC

  FreeBSD ports repository

  Modified files:
    audio/gtkpod         Makefile 
  Log:
  - Fix the build against libmp4v2.so (it is built without GTK support by
    default, which will result in HAVE_GTK macro be undefined, and gtkpod
    depends on it [*]
  - Correctly detect and record FAAC/FAAD runtime dependencies
  - Slightly improve on comment while here
  
  PR:             ports/122639 [*]
  Submitted by:   Kevin Oberman
  
  Revision  Changes    Path
  1.52      +10 -3     ports/audio/gtkpod/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Alexey Dokuchaev freebsd_committer 2010-05-27 17:20:14 UTC
State Changed
From-To: open->closed

Port should be fixed now, thanks!